about summary refs log tree commit diff
path: root/third_party/git/t/t5406-remote-rejects.sh
diff options
context:
space:
mode:
Diffstat (limited to 'third_party/git/t/t5406-remote-rejects.sh')
-rwxr-xr-xthird_party/git/t/t5406-remote-rejects.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/third_party/git/t/t5406-remote-rejects.sh b/third_party/git/t/t5406-remote-rejects.sh
new file mode 100755
index 0000000000..ff06f99649
--- /dev/null
+++ b/third_party/git/t/t5406-remote-rejects.sh
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+test_description='remote push rejects are reported by client'
+
+. ./test-lib.sh
+
+test_expect_success 'setup' '
+	mkdir .git/hooks &&
+	write_script .git/hooks/update <<-\EOF &&
+	exit 1
+	EOF
+	echo 1 >file &&
+	git add file &&
+	git commit -m 1 &&
+	git clone . child &&
+	cd child &&
+	echo 2 >file &&
+	git commit -a -m 2
+'
+
+test_expect_success 'push reports error' 'test_must_fail git push 2>stderr'
+
+test_expect_success 'individual ref reports error' 'grep rejected stderr'
+
+test_done